## NAS Get Signal Strength NAS Get Signal Strength |

## Functions

QmiMessageNasGetSignalStrengthInput * | qmi_message_nas_get_signal_strength_input_new ()
QmiMessageNasGetSignalStrengthInput * | qmi_message_nas_get_signal_strength_input_ref ()
void | qmi_message_nas_get_signal_strength_input_unref ()
gboolean | qmi_message_nas_get_signal_strength_input_get_request_mask ()
gboolean | qmi_message_nas_get_signal_strength_input_set_request_mask ()
QmiMessageNasGetSignalStrengthOutput * | qmi_message_nas_get_signal_strength_output_ref ()
void | qmi_message_nas_get_signal_strength_output_unref ()
gboolean | qmi_message_nas_get_signal_strength_output_get_result ()
gboolean | qmi_message_nas_get_signal_strength_output_get_lte_rsrp ()
gboolean | qmi_message_nas_get_signal_strength_output_get_lte_snr ()
gboolean | qmi_message_nas_get_signal_strength_output_get_rsrq ()
gboolean | qmi_message_nas_get_signal_strength_output_get_error_rate_list ()
gboolean | qmi_message_nas_get_signal_strength_output_get_sinr ()
gboolean | qmi_message_nas_get_signal_strength_output_get_io ()
gboolean | qmi_message_nas_get_signal_strength_output_get_ecio_list ()
gboolean | qmi_message_nas_get_signal_strength_output_get_rssi_list ()
gboolean | qmi_message_nas_get_signal_strength_output_get_strength_list ()
gboolean | qmi_message_nas_get_signal_strength_output_get_signal_strength ()
void | qmi_client_nas_get_signal_strength ()
QmiMessageNasGetSignalStrengthOutput * | qmi_client_nas_get_signal_strength_finish ()

## Types and Values

| QmiMessageNasGetSignalStrengthInput
| QmiMessageNasGetSignalStrengthOutput
| QmiMessageNasGetSignalStrengthOutputErrorRateListElement
| QmiMessageNasGetSignalStrengthOutputEcioListElement
| QmiMessageNasGetSignalStrengthOutputRssiListElement
| QmiMessageNasGetSignalStrengthOutputStrengthListElement

## Object Hierarchy

        GBoxed
        ├── QmiMessageNasGetSignalStrengthInput
        ╰── QmiMessageNasGetSignalStrengthOutput

## Description

## Functions

### qmi_message_nas_get_signal_strength_input_new ()

    QmiMessageNasGetSignalStrengthInput *
    qmi_message_nas_get_signal_strength_input_new
                                   (void);

Allocates a new QmiMessageNasGetSignalStrengthInput.

#### Returns

the newly created QmiMessageNasGetSignalStrengthInput. The returned value should be freed with `qmi_message_nas_get_signal_strength_input_unref()`.

### qmi_message_nas_get_signal_strength_input_ref ()

    QmiMessageNasGetSignalStrengthInput *
    qmi_message_nas_get_signal_strength_input_ref
                                   (QmiMessageNasGetSignalStrengthInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetSignalStrengthInput. |

#### Returns

the new reference to `self` .

### qmi_message_nas_get_signal_strength_input_unref ()

    void
    qmi_message_nas_get_signal_strength_input_unref
                                   (QmiMessageNasGetSignalStrengthInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetSignalStrengthInput. |

### qmi_message_nas_get_signal_strength_input_get_request_mask ()

    gboolean
    qmi_message_nas_get_signal_strength_input_get_request_mask
                                   (QmiMessageNasGetSignalStrengthInput *self,
                                    QmiNasSignalStrengthRequest *request_mask,
                                    GError **error);

Get the 'Request Mask' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalStrengthInput. |
request_mask | a placeholder for the output QmiNasSignalStrengthRequest, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_signal_strength_input_set_request_mask ()

    gboolean
    qmi_message_nas_get_signal_strength_input_set_request_mask
                                   (QmiMessageNasGetSignalStrengthInput *self,
                                    QmiNasSignalStrengthRequest request_mask,
                                    GError **error);

Set the 'Request Mask' field in the message.

#### Parameters

self | a QmiMessageNasGetSignalStrengthInput. |
request_mask | a QmiNasSignalStrengthRequest. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_nas_get_signal_strength_output_ref ()

    QmiMessageNasGetSignalStrengthOutput *
    qmi_message_nas_get_signal_strength_output_ref
                                   (QmiMessageNasGetSignalStrengthOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |

#### Returns

the new reference to `self` .

### qmi_message_nas_get_signal_strength_output_unref ()

    void
    qmi_message_nas_get_signal_strength_output_unref
                                   (QmiMessageNasGetSignalStrengthOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |

### qmi_message_nas_get_signal_strength_output_get_result ()

    gboolean
    qmi_message_nas_get_signal_strength_output_get_result
                                   (QmiMessageNasGetSignalStrengthOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_message_nas_get_signal_strength_output_get_lte_rsrp ()

    gboolean
    qmi_message_nas_get_signal_strength_output_get_lte_rsrp
                                   (QmiMessageNasGetSignalStrengthOutput *self,
                                    gint16 *lte_rsrp,
                                    GError **error);

Get the 'LTE RSRP' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |
lte_rsrp | a placeholder for the output gint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_signal_strength_output_get_lte_snr ()

    gboolean
    qmi_message_nas_get_signal_strength_output_get_lte_snr
                                   (QmiMessageNasGetSignalStrengthOutput *self,
                                    gint16 *lte_snr,
                                    GError **error);

Get the 'LTE SNR' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |
lte_snr | a placeholder for the output gint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_signal_strength_output_get_rsrq ()

    gboolean
    qmi_message_nas_get_signal_strength_output_get_rsrq
                                   (QmiMessageNasGetSignalStrengthOutput *self,
                                    gint8 *rsrq_rsrq,
                                    QmiNasRadioInterface *rsrq_radio_interface,
                                    GError **error);

Get the 'RSRQ' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |
rsrq_rsrq | a placeholder for the output gint8, or `NULL` if not required. |
rsrq_radio_interface | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_signal_strength_output_get_error_rate_list ()

    gboolean
    qmi_message_nas_get_signal_strength_output_get_error_rate_list
                                   (QmiMessageNasGetSignalStrengthOutput *self,
                                    GArray **error_rate_list,
                                    GError **error);

Get the 'Error Rate List' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |
error_rate_list | a placeholder for the output GArray of QmiMessageNasGetSignalStrengthOutputErrorRateListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_signal_strength_output_get_sinr ()

    gboolean
    qmi_message_nas_get_signal_strength_output_get_sinr
                                   (QmiMessageNasGetSignalStrengthOutput *self,
                                    QmiNasEvdoSinrLevel *sinr,
                                    GError **error);

Get the 'SINR' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |
sinr | a placeholder for the output QmiNasEvdoSinrLevel, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_signal_strength_output_get_io ()

    gboolean
    qmi_message_nas_get_signal_strength_output_get_io
                                   (QmiMessageNasGetSignalStrengthOutput *self,
                                    gint32 *io,
                                    GError **error);

Get the 'IO' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |
io | a placeholder for the output gint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_signal_strength_output_get_ecio_list ()

    gboolean
    qmi_message_nas_get_signal_strength_output_get_ecio_list
                                   (QmiMessageNasGetSignalStrengthOutput *self,
                                    GArray **ecio_list,
                                    GError **error);

Get the 'ECIO List' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |
ecio_list | a placeholder for the output GArray of QmiMessageNasGetSignalStrengthOutputEcioListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_signal_strength_output_get_rssi_list ()

    gboolean
    qmi_message_nas_get_signal_strength_output_get_rssi_list
                                   (QmiMessageNasGetSignalStrengthOutput *self,
                                    GArray **rssi_list,
                                    GError **error);

Get the 'RSSI List' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |
rssi_list | a placeholder for the output GArray of QmiMessageNasGetSignalStrengthOutputRssiListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_signal_strength_output_get_strength_list ()

    gboolean
    qmi_message_nas_get_signal_strength_output_get_strength_list
                                   (QmiMessageNasGetSignalStrengthOutput *self,
                                    GArray **strength_list,
                                    GError **error);

Get the 'Strength List' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |
strength_list | a placeholder for the output GArray of QmiMessageNasGetSignalStrengthOutputStrengthListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_nas_get_signal_strength_output_get_signal_strength ()

    gboolean
    qmi_message_nas_get_signal_strength_output_get_signal_strength
                                   (QmiMessageNasGetSignalStrengthOutput *self,
                                    gint8 *signal_strength_strength,
                                    QmiNasRadioInterface *signal_strength_radio_interface,
                                    GError **error);

Get the 'Signal Strength' field from `self` .

#### Parameters

self | a QmiMessageNasGetSignalStrengthOutput. |
signal_strength_strength | a placeholder for the output gint8, or `NULL` if not required. |
signal_strength_radio_interface | a placeholder for the output QmiNasRadioInterface, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_client_nas_get_signal_strength ()

    void
    qmi_client_nas_get_signal_strength (QmiClientNas *self,
                                        QmiMessageNasGetSignalStrengthInput *input,
                                        guint timeout,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously sends a Get Signal Strength request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_signal_strength_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
input | a QmiMessageNasGetSignalStrengthInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_nas_get_signal_strength_finish ()

    QmiMessageNasGetSignalStrengthOutput *
    qmi_client_nas_get_signal_strength_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_get_signal_strength()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_signal_strength()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetSignalStrengthOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_signal_strength_output_unref()`.

## Types and Values

### QmiMessageNasGetSignalStrengthInput

    typedef struct _QmiMessageNasGetSignalStrengthInput QmiMessageNasGetSignalStrengthInput;

The QmiMessageNasGetSignalStrengthInput structure contains private data and should only be accessed using the provided API.

### QmiMessageNasGetSignalStrengthOutput

    typedef struct _QmiMessageNasGetSignalStrengthOutput QmiMessageNasGetSignalStrengthOutput;

The QmiMessageNasGetSignalStrengthOutput structure contains private data and should only be accessed using the provided API.

### QmiMessageNasGetSignalStrengthOutputErrorRateListElement

    typedef struct {
        guint16 rate;
        QmiNasRadioInterface radio_interface;
    } QmiMessageNasGetSignalStrengthOutputErrorRateListElement;

A QmiMessageNasGetSignalStrengthOutputErrorRateListElement struct.

#### Members

guint16 `rate`; | a guint16. |
QmiNasRadioInterface `radio_interface`; | a QmiNasRadioInterface. |

### QmiMessageNasGetSignalStrengthOutputEcioListElement

    typedef struct {
        gint8 ecio;
        QmiNasRadioInterface radio_interface;
    } QmiMessageNasGetSignalStrengthOutputEcioListElement;

A QmiMessageNasGetSignalStrengthOutputEcioListElement struct.

#### Members

gint8 `ecio`; | a gint8. |
QmiNasRadioInterface `radio_interface`; | a QmiNasRadioInterface. |

### QmiMessageNasGetSignalStrengthOutputRssiListElement

    typedef struct {
        guint8 rssi;
        QmiNasRadioInterface radio_interface;
    } QmiMessageNasGetSignalStrengthOutputRssiListElement;

A QmiMessageNasGetSignalStrengthOutputRssiListElement struct.

#### Members

guint8 `rssi`; | a guint8. |
QmiNasRadioInterface `radio_interface`; | a QmiNasRadioInterface. |

### QmiMessageNasGetSignalStrengthOutputStrengthListElement

    typedef struct {
        gint8 strength;
        QmiNasRadioInterface radio_interface;
    } QmiMessageNasGetSignalStrengthOutputStrengthListElement;

A QmiMessageNasGetSignalStrengthOutputStrengthListElement struct.

#### Members

gint8 `strength`; | a gint8. |
QmiNasRadioInterface `radio_interface`; | a QmiNasRadioInterface. |